<mat-toolbar >
    <span>
        <span class="spacing-extended">
          <mat-icon>assignment</mat-icon>Planes 
      </span>
            <button mat-button mat-raised-button (click)="refresh()">
                <mat-icon>refresh</mat-icon>
            </button>
    </span>
    <span class="spacing"></span>
    <span>
        <new-plan-component (addedPlanEvent)="newPlan($event)"></new-plan-component>
    </span>
</mat-toolbar>


<app-loading [loading]="loading"> 
    <mat-card>
        <mat-form-field appearance="standard" floatLabel="always">
            <mat-label>Filtro</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Escriba un nombre, apellido, o plan" #input>
        </mat-form-field>
    </mat-card>

 
  <div class="mat-elevation-z8">  
    <table mat-table matSort [dataSource]="dataSource" class="mat-elevation-z8">

      <ng-container matColumnDef="id">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> No. </th>
        <td mat-cell *matCellDef="let element"> {{element.id}} </td>
      </ng-container>
    
      <ng-container matColumnDef="name">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Nombre </th>
        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
      </ng-container>
    
      <ng-container matColumnDef="enabled">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Activado </th>
        <td mat-cell *matCellDef="let element"> 
          <mat-slide-toggle [checked]="element.enabled > 0" (click)="switchPlanConfirmation(element)"></mat-slide-toggle>
        </td>
      </ng-container>
        
      <ng-container matColumnDef="actions">
          <th mat-header-cell *matHeaderCellDef> Acciones </th>
          <td mat-cell *matCellDef="let element">
              <row-action-componnet
                  [enableFinger]="false"
                  [enableDelete]="false"
                  (deleteEmitter)="deletePlan(element)"
                  (editEmitter)="editPlan(element)"
              ></row-action-componnet>
          </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    
      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>

    </table>
    
      <mat-paginator [pageSizeOptions]="[5, 10, 20, 50 , 100]"
          showFirstLastButtons 
          aria-label="Objetos por página">
      </mat-paginator>
  </div>
</app-loading>